Download it now!
Bug 131399 - Java settings not updated after slight version change
Summary: Java settings not updated after slight version change
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All Linux (All)
: medium normal
Assignee: Ilhan Yesil
URL:
Whiteboard: target:7.0.0 target:6.4.4
Keywords:
Depends on:
Blocks:
 
Reported: 2020-03-18 10:00 UTC by Ilhan Yesil
Modified: 2020-04-17 11:05 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ilhan Yesil 2020-03-18 10:00:07 UTC
Description:
If a java installation is updated with a minor version change, openjdk 11.0.3 -> 11.0.4 for example, the java settings are not updated automatically at start, so you have to set the setting in the Options dialog.

Steps to Reproduce:
1. Goto Tools->Options...->Advanced, select a java version if not already selected
2. Restart libreoffice and recheck that the above java version is still selected.
2. Open javasettings_Linux_X86_64.xml, change the <version> tag slightly, if it was 11.0.4, change it to 11.0.3 for example, a version that is not really installed on the machine, just to simulate a minor upgrade.
3. Restart libreoffice and recheck again. This time it is deselected
 

Actual Results:
see 3.

Expected Results:
libreoffice should detect, that there was a minor version change. In the simulated case here, the version should be corrected from 11.0.3 again to 11.0.4.


Reproducible: Always


User Profile Reset: No



Additional Info:
On linux there is a precheck for the java installation which works except for slightly version changes as described here, but on windows, I haven't found such a precheck.
Comment 1 Ilhan Yesil 2020-03-25 10:16:04 UTC
Self confirming according to https://wiki.documentfoundation.org/QA/Guidelines_for_public_and_private_sector_deployments. Issue has originally been reported by another user in our internal issue tracker.
Comment 2 Commit Notification 2020-03-27 16:47:54 UTC
ilhan committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/6b6af620ff53209487a146aa3977db328c3a6300

tdf#131399 Update java settings after slight java version change

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2020-04-02 19:42:38 UTC
ilhan committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/44a40091ae960a10ef88f16f04138989366017fd

tdf#131399 Update java settings after slight java version change

It will be available in 6.4.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.